#include <bits/stdc++.h>
using namespace std;

int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long int N, x, y, z;
    int br = 0;
    cin >> N;
    vector<long long int> X;
    vector<long long int> Y;
    vector<long long int> Z;
    for(long long int i = 0; i < N; i++){
        cin >> x;
        X.push_back(x);
    }
    for(long long int i = 0; i < N; i++){
        cin >> y;
        Y.push_back(y);
    }
    for(long long int i = 0; i < N; i++){
        cin >> z;
        Z.push_back(z);
    }
    for(long long int i = 1; i <= N; i++){
        for(long long int j = 1; j <= N; j++){
            if(X[i - 1] == Y[Z[j - 1] - 1]) br++;
        }
    }
    cout << br;

    return 0;

}